Modify

Opened 11 years ago

Closed 10 years ago

#76 closed defect (fixed)

RC4: Instability crashes on Buffalo WBR-G54

Reported by: pervert@… Owned by: nbd
Priority: high Milestone: 1.0-rc5
Component: base system Version: 1.0
Keywords: WBR-G54 Buffalo instability crash Cc:

Description

Tried to update using the following procedure:

result: inaccessible rooter. Syslog reported a strange error msg from dnsmasq, apparently dnsmasq tried to set 192.168.11.2 as the fail-safe IP address, possibly from Buffalo's own nvram defaults.

After getting the WBR-G54 into the failsafe mode by pressing the init-button, I reflashed the same binary from the shell, this time using

  • mtd -e linux -r write openwrt-xxxx.trx linux.

result: random crashes when the router encounters more traffic, for example bittorrent downloads etcetera. The behaviour is very similar to that of RC3, which is the reason I have been running RC2 thus far.

My config is a bit non-trivial, I am running proxy arp with two public subnets, and a LAN-WLAN bridge. I would be more than happy to provide all the extra info you need.

Jan 1 00:00:06 (none) syslog.info syslogd started: BusyBox v1.00 (2005.11.23-21:46+0000)
Jan 1 00:00:07 (none) kern.notice kernel: klogd started: BusyBox v1.00 (2005.11.23-21:46+0000)
Jan 1 00:00:07 (none) kern.warn kernel: CPU revision is: 00024000
Jan 1 00:00:07 (none) kern.warn kernel: Enabling BCM4710A0 cache workarounds.
Jan 1 00:00:07 (none) kern.warn kernel: Primary instruction cache 8kB, physically tagged, 2-way, linesize 16 bytes.
Jan 1 00:00:07 (none) kern.warn kernel: Primary data cache 4kB, 2-way, linesize 16 bytes.
Jan 1 00:00:07 (none) kern.warn kernel: Linux version 2.4.30 (wbx@ux-2y02) (gcc version 3.4.4) #1 Wed Nov 23 22:35:53 CET 2005
Jan 1 00:00:07 (none) kern.warn kernel: Setting the PFC value as 0x15
Jan 1 00:00:07 (none) kern.warn kernel: Determined physical RAM map:
Jan 1 00:00:07 (none) kern.warn kernel: memory: 01000000 @ 00000000 (usable)
Jan 1 00:00:07 (none) kern.warn kernel: On node 0 totalpages: 4096
Jan 1 00:00:07 (none) kern.warn kernel: zone(0): 4096 pages.
Jan 1 00:00:07 (none) kern.warn kernel: zone(1): 0 pages.
Jan 1 00:00:07 (none) kern.warn kernel: zone(2): 0 pages.
Jan 1 00:00:07 (none) kern.warn kernel: Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
Jan 1 00:00:07 (none) kern.warn kernel: CPU: BCM4710 rev 0 at 125 MHz
Jan 1 00:00:07 (none) kern.warn kernel: Using 62.400 MHz high precision timer.
Jan 1 00:00:07 (none) kern.warn kernel: !unable to setup serial console!
Jan 1 00:00:07 (none) kern.warn kernel: Calibrating delay loop... 82.94 BogoMIPS
Jan 1 00:00:07 (none) kern.info kernel: Memory: 14296k/16384k available (1395k kernel code, 2088k reserved, 100k data, 80k init, 0k highmem)
Jan 1 00:00:07 (none) kern.info kernel: Dentry cache hash table entries: 2048 (order: 2, 16384 bytes)
Jan 1 00:00:07 (none) kern.info kernel: Inode cache hash table entries: 1024 (order: 1, 8192 bytes)
Jan 1 00:00:07 (none) kern.info kernel: Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Jan 1 00:00:07 (none) kern.info kernel: Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
Jan 1 00:00:07 (none) kern.warn kernel: Page-cache hash table entries: 4096 (order: 2, 16384 bytes)
Jan 1 00:00:07 (none) kern.warn kernel: Checking for 'wait' instruction... unavailable.
Jan 1 00:00:07 (none) kern.warn kernel: POSIX conformance testing by UNIFIX
Jan 1 00:00:07 (none) kern.warn kernel: PCI: Fixing up bus 0
Jan 1 00:00:07 (none) kern.warn kernel: PCI: Fixing up bridge
Jan 1 00:00:07 (none) kern.debug kernel: PCI: Setting latency timer of device 01:00.0 to 64
Jan 1 00:00:07 (none) kern.warn kernel: PCI: Fixing up bus 1
Jan 1 00:00:07 (none) kern.info kernel: Linux NET4.0 for Linux 2.4
Jan 1 00:00:07 (none) kern.info kernel: Based upon Swansea University Computer Society NET3.039
Jan 1 00:00:07 (none) kern.warn kernel: Initializing RT netlink socket
Jan 1 00:00:07 (none) kern.warn kernel: Starting kswapd
Jan 1 00:00:07 (none) kern.info kernel: devfs: v1.12c (20020818) Richard Gooch (rgooch@…)
Jan 1 00:00:07 (none) kern.info kernel: devfs: boot_options: 0x1
Jan 1 00:00:07 (none) kern.notice kernel: JFFS2 version 2.1. (C) 2001 Red Hat, Inc., designed by Axis Communications AB.
Jan 1 00:00:07 (none) kern.info kernel: Squashfs 2.1-r2 (released 2004/12/15) (C) 2002-2004 Phillip Lougher
Jan 1 00:00:07 (none) kern.warn kernel: pty: 256 Unix98 ptys configured
Jan 1 00:00:07 (none) kern.info kernel: Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI enabled
Jan 1 00:00:07 (none) kern.info kernel: Software Watchdog Timer: 0.05, timer margin: 60 sec
Jan 1 00:00:07 (none) kern.notice kernel: Amd/Fujitsu Extended Query Table v1.1 at 0x0040
Jan 1 00:00:07 (none) kern.warn kernel: Physically mapped flash: Swapping erase regions for broken CFI table.
Jan 1 00:00:07 (none) kern.notice kernel: number of CFI chips: 1
Jan 1 00:00:07 (none) kern.notice kernel: cfi_cmdset_0002: Disabling fast programming due to code brokenness.
Jan 1 00:00:07 (none) kern.notice kernel: Flash device: 0x400000 at 0x1fc00000
Jan 1 00:00:07 (none) kern.notice kernel: Creating 5 MTD partitions on "Physically mapped flash":
Jan 1 00:00:07 (none) kern.notice kernel: 0x00000000-0x00040000 : "pmon"
Jan 1 00:00:07 (none) kern.notice kernel: 0x00040000-0x003f0000 : "linux"
Jan 1 00:00:07 (none) kern.notice kernel: 0x000baa08-0x001b9000 : "rootfs"
Jan 1 00:00:07 (none) kern.warn kernel: mtd: partition "rootfs" doesn't start on an erase block boundary -- force read-only
Jan 1 00:00:07 (none) kern.notice kernel: 0x003f0000-0x00400000 : "nvram"
Jan 1 00:00:07 (none) kern.notice kernel: 0x001c0000-0x003f0000 : "OpenWrt"
Jan 1 00:00:07 (none) kern.info kernel: Initializing Cryptographic API
Jan 1 00:00:07 (none) kern.info kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Jan 1 00:00:07 (none) kern.info kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Jan 1 00:00:07 (none) kern.info kernel: IP: routing cache hash table of 512 buckets, 4Kbytes
Jan 1 00:00:07 (none) kern.info kernel: TCP: Hash tables configured (established 1024 bind 2048)
Jan 1 00:00:07 (none) kern.warn kernel: ip_conntrack version 2.1 (5953 buckets, 5953 max) - 320 bytes per conntrack
Jan 1 00:00:07 (none) kern.warn kernel: ip_tables: (C) 2000-2002 Netfilter core team
Jan 1 00:00:07 (none) kern.info kernel: NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
Jan 1 00:00:07 (none) kern.info kernel: NET4: Ethernet Bridge 008 for NET4.0
Jan 1 00:00:07 (none) kern.info kernel: 802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
Jan 1 00:00:07 (none) kern.info kernel: All bugs added by David S. Miller <davem@…>
Jan 1 00:00:07 (none) kern.warn kernel: VFS: Mounted root (squashfs filesystem) readonly.
Jan 1 00:00:07 (none) kern.info kernel: Mounted devfs on /dev
Jan 1 00:00:07 (none) kern.info kernel: Freeing unused kernel memory: 80k freed
Jan 1 00:00:07 (none) kern.warn kernel: Warning: unable to open an initial console.
Jan 1 00:00:07 (none) kern.warn kernel: Algorithmics/MIPS FPU Emulator v1.5
Jan 1 00:00:07 (none) kern.info kernel: diag boardtype: 0000041d
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228000: 0x4c46 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228004: 0x19d8 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228008: 0x01e3 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228014: 0x6e69 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228018: 0x656e instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x0022801c: 0x7361 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228020: 0x3532 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00228024: 0x3532 instead
Jan 1 00:00:07 (none) kern.notice kernel: k(): Magic bitmask 0x1985 not found at 0x00228028: 0x3532 instead
Jan 1 00:00:07 (none) kern.notice kernel: jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x0022802c: 0x0030 instead
Jan 1 00:00:07 (none) kern.notice kernel: Further such events for this erase block will not be printed
Jan 1 00:00:07 (none) kern.notice kernel: JFFS2: Erase block at 0x00220000 is not formatted. It will be erased
Jan 1 00:00:08 (none) kern.warn kernel: jffs2.bbc: SIZE compression mode activated.
Jan 1 00:00:08 (none) kern.debug kernel: PCI: Setting latency timer of device 00:02.0 to 64
Jan 1 00:00:08 (none) kern.warn kernel: eth0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.23.0
Jan 1 00:00:08 (none) kern.debug kernel: PCI: Setting latency timer of device 00:08.0 to 64
Jan 1 00:00:08 (none) kern.warn kernel: eth1: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.23.0
Jan 1 00:00:08 (none) user.info : Using /lib/modules/2.4.30/et.o
Jan 1 00:00:08 (none) user.info : Warning: loading et will taint the kernel: no license
Jan 1 00:00:08 (none) user.info : See http://www.tux.org/lkml/#export-tainted for information about tainted modules
Jan 1 00:00:10 (none) kern.debug kernel: PCI: Setting latency timer of device 01:01.0 to 64
Jan 1 00:00:10 (none) kern.warn kernel: PCI: Enabling device 01:01.0 (0004 -> 0006)
Jan 1 00:00:10 (none) kern.warn kernel: eth2: Broadcom BCM4320 802.11 Wireless Controller 3.90.37.0
Jan 1 00:00:10 (none) user.info : Using /lib/modules/2.4.30/wl.o
Jan 1 00:00:10 (none) user.info : Warning: loading wl will taint the kernel: no license
Jan 1 00:00:10 (none) user.info : See http://www.tux.org/lkml/#export-tainted for information about tainted modules
Jan 1 00:00:10 (none) user.info : Using /lib/modules/2.4.30/wlcompat.o
Jan 1 00:00:10 (none) kern.info kernel: device eth0 entered promiscuous mode
Jan 1 00:00:11 (none) kern.info kernel: device eth2 entered promiscuous mode
Jan 1 00:00:11 (none) kern.info kernel: br0: port 2(eth2) entering learning state
Jan 1 00:00:11 (none) kern.info kernel: br0: port 1(eth0) entering learning state
Jan 1 00:00:11 (none) kern.info kernel: br0: port 2(eth2) entering forwarding state
Jan 1 00:00:11 (none) kern.info kernel: br0: topology change detected, propagating
Jan 1 00:00:11 (none) kern.info kernel: br0: port 1(eth0) entering forwarding state
Jan 1 00:00:11 (none) kern.info kernel: br0: topology change detected, propagating
Nov 24 13:29:47 (none) user.info : 36524 00013.006 65090.0 778.6 186154174254200.6 0.0 0
Nov 24 13:29:51 (none) user.info : route: SIOC[ADD|DEL]RT: No such process
Nov 24 13:29:52 (none) user.info : route: SIOC[ADD|DEL]RT: File exists
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: started, version 2.22 cachesize 150
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: DHCP, IP range 195.197.190.42 -- 195.197.190.46, lease time 24h
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: DHCP, IP range 195.197.214.163 -- 195.197.214.166, lease time 24h
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: using local addresses only for domain lan
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: read /etc/hosts - 2 addresses
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: read /etc/ethers - 0 addresses
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: reading /etc/resolv.conf
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: using nameserver 195.74.0.55#53
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: using nameserver 195.74.0.47#53
Nov 24 13:29:52 (none) kern.info dnsmasq[377]: using local addresses only for domain lan
Nov 24 13:29:54 (none) kern.info dropbear[385]: Running in background
Nov 24 13:29:54 (none) user.info : 38678 48594.432 19834.0 29.3 44812.0 44662.5 0
Nov 24 13:29:54 (none) kern.notice crond[395]: crond 2.3.2 dillon, started, log level 8
Nov 24 13:32:16 (none) kern.info dropbear[397]: Child connection from 195.197.190.42:1324
Nov 24 13:32:20 (none) kern.notice dropbear[397]: password auth succeeded for 'root' from 195.197.190.42:1324

Attachments (0)

Change History (4)

comment:1 Changed 11 years ago by wbx

What broadcom chip is used by this router? similar to wrt54g v1.1 or wrt54gsv1.1?

Can you try using b44 driver for ethernet chip, instead of et.o?

Can you buy a Linksys WRT54GS v.1.1 and use the same setup?

Anything on serial console if the router is crashing?

Show us complete dmesg and nvram contents please.

comment:2 Changed 11 years ago by nbd

  • Milestone changed from 1.0-rc4 to 1.0-rc5

comment:3 Changed 10 years ago by nbd

  • Owner changed from developers to nbd
  • Status changed from new to assigned

comment:4 Changed 10 years ago by nbd

  • Resolution set to fixed
  • Status changed from assigned to closed

should be fixed by the transition to b44 and kmod-switch in [2984]

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.